<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3148
Name: Diagnosen/prädisponierende Faktoren
Description: Angaben zu Diagnosen bezogen auf den Gesundheitszustand des Patienten 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3148-2018-08-02T103133">
   <title>Diagnosen/prädisponierende Faktoren</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]"
         id="d41e2360-false-d21648e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3148']) &gt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:templateId[@root = '1.2.276.0.76.10.3148'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3148']) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:templateId[@root = '1.2.276.0.76.10.3148'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:id) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(CDASectionDiagnosenPraedisponierendeFaktoren): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:templateId[@root = '1.2.276.0.76.10.3148']
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:templateId[@root = '1.2.276.0.76.10.3148']"
         id="d41e2362-false-d21729e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="string(@root) = ('1.2.276.0.76.10.3148')">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Wert von root MUSS '1.2.276.0.76.10.3148' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:id
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:id"
         id="d41e2367-false-d21743e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:code[(@code = '29548-5' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e2369-false-d21754e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="@nullFlavor or (@code='29548-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Diagnosis narrative' and @codeSystemName='LOINC')">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Elementinhalt MUSS einer von 'code '29548-5' codeSystem '2.16.840.1.113883.6.1' displayName='Diagnosis narrative' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:title[not(@nullFlavor)]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:title[not(@nullFlavor)]"
         id="d41e2374-false-d21770e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:text[not(@nullFlavor)]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:text[not(@nullFlavor)]"
         id="d41e2382-false-d21780e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDASectionDiagnosenPraedisponierendeFaktoren): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3148
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4079']]]
Item: (CDASectionDiagnosenPraedisponierendeFaktoren)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3148']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4079']]]">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="@typeCode">(CDASectionDiagnosenPraedisponierendeFaktoren): Attribut @typeCode MUSS vorkommen.</assert>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Wert von typeCode MUSS gewählt werden aus Value Set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3148-2018-08-02T103133.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(CDASectionDiagnosenPraedisponierendeFaktoren): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
