<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3160
Name: Dermatologische Allergieangaben Spätreaktionen
Description: Angabe von Allergien und Unverträglichkeiten mit Spätreaktionen. Bei Allergien von Typ II, III und IV setzt die Allergiereaktion erst nach Stunden bis Tagen ein.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3160-2020-04-03T203347">
   <title>Dermatologische Allergieangaben Spätreaktionen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]"
         id="d41e3611-false-d27426e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3160']) &gt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:templateId[@root = '1.2.276.0.76.10.3160'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3160']) &lt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:templateId[@root = '1.2.276.0.76.10.3160'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:code[(@code = '418634005' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:code[(@code = '418634005' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:code[(@code = '418634005' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:code[(@code = '418634005' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(DermatologischeAllergieangabenSpaetreaktionen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:templateId[@root = '1.2.276.0.76.10.3160']
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:templateId[@root = '1.2.276.0.76.10.3160']"
         id="d41e3613-false-d27475e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSpaetreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="string(@root) = ('1.2.276.0.76.10.3160')">(DermatologischeAllergieangabenSpaetreaktionen): Der Wert von root MUSS '1.2.276.0.76.10.3160' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:id
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:id"
         id="d41e3618-false-d27489e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSpaetreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:code[(@code = '418634005' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:code[(@code = '418634005' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e3620-false-d27500e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSpaetreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="@nullFlavor or (@code='418634005' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Allergic reaction caused by substance (disorder)')">(DermatologischeAllergieangabenSpaetreaktionen): Der Elementinhalt MUSS einer von 'code '418634005' codeSystem '2.16.840.1.113883.6.96' displayName='Allergic reaction caused by substance (disorder)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:title[not(@nullFlavor)]"
         id="d41e3625-false-d27516e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSpaetreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="text()='Allergien: Spätreaktionen'">(DermatologischeAllergieangabenSpaetreaktionen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Allergien: Spätreaktionen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3160
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:text[not(@nullFlavor)]
Item: (DermatologischeAllergieangabenSpaetreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3160']]/hl7:text[not(@nullFlavor)]"
         id="d41e3631-false-d27530e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3160-2020-04-03T203347.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSpaetreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
