<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3168
Name: Dermatologische Allergieangaben Sofortreaktionen
Description: Angabe von Allergien und Unverträglichkeiten mit Sofortreaktionen. Die Typ-I-Allergie oder Allergie vom Soforttyp ist die häufigste Form einer Allergie.  Sie ist durch eine schnelle - d.h. innerhalb von Sekunden oder Minuten stattfindende - Reaktion des Immunsystems auf das Allergen gekennzeichnet. 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3168-2020-05-19T201133">
   <title>Dermatologische Allergieangaben Sofortreaktionen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]"
         id="d41e4125-false-d28755e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3168']) &gt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:templateId[@root = '1.2.276.0.76.10.3168'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3168']) &lt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:templateId[@root = '1.2.276.0.76.10.3168'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:id) &lt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:code[(@code = '241929008' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:code[(@code = '241929008' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:code[(@code = '241929008' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:code[(@code = '241929008' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(DermatologischeAllergieangabenSofortreaktionen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:templateId[@root = '1.2.276.0.76.10.3168']
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:templateId[@root = '1.2.276.0.76.10.3168']"
         id="d41e4127-false-d28804e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSofortreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="string(@root) = ('1.2.276.0.76.10.3168')">(DermatologischeAllergieangabenSofortreaktionen): Der Wert von root MUSS '1.2.276.0.76.10.3168' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:id
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:id"
         id="d41e4132-false-d28818e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSofortreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:code[(@code = '241929008' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:code[(@code = '241929008' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d41e4134-false-d28829e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSofortreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="@nullFlavor or (@code='241929008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Acute allergic reaction (disorder)')">(DermatologischeAllergieangabenSofortreaktionen): Der Elementinhalt MUSS einer von 'code '241929008' codeSystem '2.16.840.1.113883.6.96' displayName='Acute allergic reaction (disorder)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:title[not(@nullFlavor)]
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:title[not(@nullFlavor)]"
         id="d41e4139-false-d28845e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSofortreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="text()='Allergien: Sofortreaktionen'">(DermatologischeAllergieangabenSofortreaktionen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Allergien: Sofortreaktionen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3168
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:text[not(@nullFlavor)]
Item: (DermatologischeAllergieangabenSofortreaktionen)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3168']]/hl7:text[not(@nullFlavor)]"
         id="d41e4145-false-d28859e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.3168-2020-05-19T201133.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(DermatologischeAllergieangabenSofortreaktionen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
