<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4306
Name: Dermatologie Lokalisation Hautveränderung
Description: Angabe der Lokalisation(en) einer Hautveränderung oder -auffälligkeit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4306-2020-03-25T185610">
   <title>Dermatologie Lokalisation Hautveränderung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]
Item: (LokalisationHautveraenderungObservation)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]"
         id="d41e8848-false-d46299e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="string(@classCode) = ('OBS')">(LokalisationHautveraenderungObservation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="string(@moodCode) = ('EVN')">(LokalisationHautveraenderungObservation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4306']) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4306'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4306']) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:templateId[@root = '1.2.276.0.76.10.4306'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:text) &lt;= 1">(LokalisationHautveraenderungObservation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.466-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(LokalisationHautveraenderungObservation): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.466-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:templateId[@root = '1.2.276.0.76.10.4306']
Item: (LokalisationHautveraenderungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:templateId[@root = '1.2.276.0.76.10.4306']"
         id="d41e8854-false-d46353e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="string(@root) = ('1.2.276.0.76.10.4306')">(LokalisationHautveraenderungObservation): Der Wert von root MUSS '1.2.276.0.76.10.4306' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:id
Item: (LokalisationHautveraenderungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:id"
         id="d41e8859-false-d46367e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:code[(@code = '56824-6' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d41e8861-false-d46378e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="@nullFlavor or (@code='56824-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Problem location')">(LokalisationHautveraenderungObservation): Der Elementinhalt MUSS einer von 'code '56824-6' codeSystem '2.16.840.1.113883.6.1' displayName='Problem location'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:text
Item: (LokalisationHautveraenderungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:text"
         id="d41e8867-false-d46394e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4306
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.466-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (LokalisationHautveraenderungObservation)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4306']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.466-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d41e8869-false-d46407e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LokalisationHautveraenderungObservation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4306-2020-03-25T185610.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.466-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(LokalisationHautveraenderungObservation): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.466 Dermatologie Ort einer Hautveraenderung (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
