<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4308
Name: Dermatologie Beschwerdedauer
Description: Angabe der Beschwerdedauer bei dermatologischen Beschwerden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4308-2020-03-30T230010">
   <title>Dermatologie Beschwerdedauer</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]
Item: (BeschwerdedauerDermatologie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]"
         id="d41e8976-false-d46612e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="string(@classCode) = ('OBS')">(BeschwerdedauerDermatologie): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="string(@moodCode) = ('EVN')">(BeschwerdedauerDermatologie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4308']) &gt;= 1">(BeschwerdedauerDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.4308'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4308']) &lt;= 1">(BeschwerdedauerDermatologie): Element hl7:templateId[@root = '1.2.276.0.76.10.4308'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(BeschwerdedauerDermatologie): Element hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(BeschwerdedauerDermatologie): Element hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:text) &lt;= 1">(BeschwerdedauerDermatologie): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:value) &gt;= 1">(BeschwerdedauerDermatologie): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:value) &lt;= 1">(BeschwerdedauerDermatologie): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:templateId[@root = '1.2.276.0.76.10.4308']
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:templateId[@root = '1.2.276.0.76.10.4308']"
         id="d41e8982-false-d46665e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="string(@root) = ('1.2.276.0.76.10.4308')">(BeschwerdedauerDermatologie): Der Wert von root MUSS '1.2.276.0.76.10.4308' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:id
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:id"
         id="d41e8987-false-d46679e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:code[(@code = '56827-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d41e8989-false-d46690e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="@nullFlavor or (@code='56827-9' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Symptom duration during occurrences or episodes')">(BeschwerdedauerDermatologie): Der Elementinhalt MUSS einer von 'code '56827-9' codeSystem '2.16.840.1.113883.6.1' displayName='Symptom duration during occurrences or episodes'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:text
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:text"
         id="d41e8995-false-d46706e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:value
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:value"
         id="d41e8997-false-d46716e0">
      <extends rule="IVL_PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="not(hl7:low/@value) or matches(string(hl7:low/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BeschwerdedauerDermatologie): value/low @value ist keine gültige PQ Zahl<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="not(hl7:high/@value) or matches(string(hl7:high/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BeschwerdedauerDermatologie): value/high @value ist keine gültige PQ Zahl<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="not(hl7:center/@value) or matches(string(hl7:center/@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BeschwerdedauerDermatologie): value/center @value ist keine gültige PQ Zahl<value-of select="hl7:center/@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(hl7:low/@value='1' and hl7:high/@value='6') or (hl7:low/@value='7' and hl7:high/@value='28') or (hl7:low/@value='29' and not(hl7:high)) or (@nullFlavor='OTH')">(BeschwerdedauerDermatologie): Beschwerdedauer muss entweder als Zeitraum in Tagen angegeben werden oder Angabe von @nullFlavor="OTH" für Freitext. 
Zulässige Zeitraumangaben sind:
- weniger als 1 Woche (low = 1d, high = 6d) 
- 1 bis 4 Wochen   (low = 7d, high = 28d) 
- länger als 4 Wochen  (low = 29d) </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="not(@nullFlavor='OTH') or ../hl7:text">(BeschwerdedauerDermatologie): Wird für die Beschwerdedauer kein vordefinierter Zeitraum ausgewählt, so muss ein Freitext im Element text angegeben werden.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:low) &lt;= 1">(BeschwerdedauerDermatologie): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="count(hl7:high) &lt;= 1">(BeschwerdedauerDermatologie): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:value/hl7:low
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:value/hl7:low"
         id="d41e9038-false-d46745e0">
      <extends rule="IVXB_PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="@value">(BeschwerdedauerDermatologie): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="not(@value) or matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BeschwerdedauerDermatologie): Attribute @value ist keine gültige real Zahl <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="string(@unit) = ('d')">(BeschwerdedauerDermatologie): Der Wert von unit MUSS 'd' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4308
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:value/hl7:high
Item: (BeschwerdedauerDermatologie)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4308']]/hl7:value/hl7:high"
         id="d41e9045-false-d46764e0">
      <extends rule="IVXB_PQ"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(BeschwerdedauerDermatologie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVXB_PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="@value">(BeschwerdedauerDermatologie): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="not(@value) or matches(string(@value), '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(BeschwerdedauerDermatologie): Attribute @value ist keine gültige real Zahl <value-of select="@value"/>
      </assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4308-2020-03-30T230010.html"
              test="string(@unit) = ('d')">(BeschwerdedauerDermatologie): Der Wert von unit MUSS 'd' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
