<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.4317
Name: Konsil Feedback Anamnestische Angaben
Description: Konsil Feedback zu anamnestischen Angaben
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.4317-2020-04-06T154520">
   <title>Konsil Feedback Anamnestische Angaben</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4317
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]
Item: (KonsilFeedbackAnamnestischeAngaben)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.4317
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]
Item: (KonsilFeedbackAnamnestischeAngaben)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]"
         id="d41e9512-false-d47859e0">
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="string(@classCode) = ('OBS')">(KonsilFeedbackAnamnestischeAngaben): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="string(@moodCode) = ('EVN')">(KonsilFeedbackAnamnestischeAngaben): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4317']) &gt;= 1">(KonsilFeedbackAnamnestischeAngaben): Element hl7:templateId[@root = '1.2.276.0.76.10.4317'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.4317']) &lt;= 1">(KonsilFeedbackAnamnestischeAngaben): Element hl7:templateId[@root = '1.2.276.0.76.10.4317'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="count(hl7:code[(@code = 'ANAMNESTISCHEANGABEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &gt;= 1">(KonsilFeedbackAnamnestischeAngaben): Element hl7:code[(@code = 'ANAMNESTISCHEANGABEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="count(hl7:code[(@code = 'ANAMNESTISCHEANGABEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]) &lt;= 1">(KonsilFeedbackAnamnestischeAngaben): Element hl7:code[(@code = 'ANAMNESTISCHEANGABEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(KonsilFeedbackAnamnestischeAngaben): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(KonsilFeedbackAnamnestischeAngaben): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4317
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:templateId[@root = '1.2.276.0.76.10.4317']
Item: (KonsilFeedbackAnamnestischeAngaben)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:templateId[@root = '1.2.276.0.76.10.4317']"
         id="d41e9518-false-d47909e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackAnamnestischeAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="string(@root) = ('1.2.276.0.76.10.4317')">(KonsilFeedbackAnamnestischeAngaben): Der Wert von root MUSS '1.2.276.0.76.10.4317' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4317
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:id
Item: (KonsilFeedbackAnamnestischeAngaben)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:id"
         id="d41e9523-false-d47923e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackAnamnestischeAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4317
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:code[(@code = 'ANAMNESTISCHEANGABEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]
Item: (KonsilFeedbackAnamnestischeAngaben)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:code[(@code = 'ANAMNESTISCHEANGABEN' and @codeSystem = '2.16.840.1.113883.3.1937.777.26.5.11')]"
         id="d41e9525-false-d47934e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackAnamnestischeAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="@nullFlavor or (@code='ANAMNESTISCHEANGABEN' and @codeSystem='2.16.840.1.113883.3.1937.777.26.5.11' and @displayName='Anamnestische Angaben')">(KonsilFeedbackAnamnestischeAngaben): Der Elementinhalt MUSS einer von 'code 'ANAMNESTISCHEANGABEN' codeSystem '2.16.840.1.113883.3.1937.777.26.5.11' displayName='Anamnestische Angaben'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.4317
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (KonsilFeedbackAnamnestischeAngaben)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4317']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d41e9531-false-d47953e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(KonsilFeedbackAnamnestischeAngaben): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.4317-2020-04-06T154520.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.470-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(KonsilFeedbackAnamnestischeAngaben): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.470 Konsil Bewertung Angabe (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
