<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title>Schematron file for transaction Bereitstellung Patientendaten (2.16.840.1.113883.3.1937.777.26.4.11 2020-04-16T19:39:57)</title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <ns uri="http://www.w3.org/2001/XMLSchema" prefix="xs"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:hl7-org:pharm" prefix="pharm"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:ihe:pharm:medication" prefix="XXX1"/>
   <ns uri="urn:hl7-org:sdtc" prefix="sdtc"/>
   <ns uri="http://fhir.hl7.de/ukfc" prefix="ukfc"/>
   <ns uri="http://www.w3.org/1999/xhtml" prefix="xhtml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.CA.sch"/>
      <include href="include/DTr1_AD.CA.BASIC.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_AD.IPS.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_BXIT_IVL_PQ.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CD.IPS.sch"/>
      <include href="include/DTr1_CD.SDTC.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CE.IPS.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_CV.IPS.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_GLIST.sch"/>
      <include href="include/DTr1_GLIST_PQ.sch"/>
      <include href="include/DTr1_GLIST_TS.sch"/>
      <include href="include/DTr1_hl7nl-INT.sch"/>
      <include href="include/DTr1_hl7nl-IVL_QTY.sch"/>
      <include href="include/DTr1_hl7nl-IVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PIVL_TS.sch"/>
      <include href="include/DTr1_hl7nl-PQ.sch"/>
      <include href="include/DTr1_hl7nl-QSET_QTY.sch"/>
      <include href="include/DTr1_hl7nl-RTO.sch"/>
      <include href="include/DTr1_hl7nl-TS.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.NL.BIG.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.CH.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_IVL_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_list_int.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PN.CA.sch"/>
      <include href="include/DTr1_PN.NL.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_SLIST.sch"/>
      <include href="include/DTr1_SLIST_PQ.sch"/>
      <include href="include/DTr1_SLIST_TS.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.CA.EMAIL.sch"/>
      <include href="include/DTr1_TEL.CA.PHONE.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_TEL.IPS.sch"/>
      <include href="include/DTr1_TEL.NL.EXTENDED.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.AT.TZ.sch"/>
      <include href="include/DTr1_TS.AT.VAR.sch"/>
      <include href="include/DTr1_TS.CH.TZ.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIMETZ.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_TS.IPS.TZ.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario konsab-patientendaten -->

   <!-- KonsilPatientendaten -->
   <pattern>
      <title>KonsilPatientendaten</title>
      <rule context="/">
         <assert role="warning"
                 test="descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]"
                 see="http://pub.art-decor.org/konsab/konsab-html-20200911T214136/tmp-1.2.276.0.76.10.1036-2020-04-16T191402.html">(KonsilPatientendaten): Instance is expected to have the following element: descendant-or-self::hl7:ClinicalDocument[hl7:templateId[@root = '1.2.276.0.76.10.1036']]</assert>
      </rule>
   </pattern>
   <include href="include/1.2.276.0.76.10.1036-2020-04-16T191402.sch"/>
   <include href="include/1.2.276.0.76.10.1036-2020-04-16T191402-closed.sch"/>



   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->

   <!-- Beilagen -->
   <include href="include/1.2.276.0.76.10.3037-2014-08-25T000000.sch"/>
   <!-- ResultsSection -->
   <include href="include/1.2.276.0.76.10.3100-2017-04-30T000000.sch"/>
   <!-- InsuranceSection -->
   <include href="include/1.2.276.0.76.10.3103-2016-02-25T185555.sch"/>
   <!-- ReasonForReferralFragestellung -->
   <include href="include/1.2.276.0.76.10.3147-2018-08-02T093959.sch"/>
   <!-- CDASectionDiagnosenPraedisponierendeFaktoren -->
   <include href="include/1.2.276.0.76.10.3148-2018-08-02T103133.sch"/>
   <!-- Konsilanfrage -->
   <include href="include/1.2.276.0.76.10.3149-2020-03-23T142210.sch"/>
   <!-- Konsilrueckfrage -->
   <include href="include/1.2.276.0.76.10.3150-2020-03-23T143326.sch"/>
   <!-- KonsilZusaetzlicheAngaben -->
   <include href="include/1.2.276.0.76.10.3151-2020-03-23T144435.sch"/>
   <!-- Konsiliarbericht -->
   <include href="include/1.2.276.0.76.10.3152-2020-03-23T145059.sch"/>
   <!-- Konsilabschluss -->
   <include href="include/1.2.276.0.76.10.3153-2020-03-23T145431.sch"/>
   <!-- DermatologischeFotografien -->
   <include href="include/1.2.276.0.76.10.3154-2020-03-23T180420.sch"/>
   <!-- DermatologischeAnamnese -->
   <include href="include/1.2.276.0.76.10.3158-2020-03-30T223340.sch"/>
   <!-- DermatologischeRisikofaktoren -->
   <include href="include/1.2.276.0.76.10.3159-2020-04-03T181720.sch"/>
   <!-- DermatologischeAllergieangabenSpaetreaktionen -->
   <include href="include/1.2.276.0.76.10.3160-2020-04-03T203347.sch"/>
   <!-- DermatologischeFamilienanamnese -->
   <include href="include/1.2.276.0.76.10.3161-2020-04-04T212204.sch"/>
   <!-- DermatologischeVorbehandlungen -->
   <include href="include/1.2.276.0.76.10.3162-2020-04-04T215548.sch"/>
   <!-- KonsilBefundergebnisDermatologieSection -->
   <include href="include/1.2.276.0.76.10.3163-2020-04-05T211647.sch"/>
   <!-- DermatologischePrognose -->
   <include href="include/1.2.276.0.76.10.3164-2020-04-05T213626.sch"/>
   <!-- Therapieempfehlung -->
   <include href="include/1.2.276.0.76.10.3165-2020-04-05T221303.sch"/>
   <!-- FeedbackKonsiliarDermatologie -->
   <include href="include/1.2.276.0.76.10.3166-2020-04-06T180437.sch"/>
   <!-- FeedbackAuftraggeberKonsilDermatologie -->
   <include href="include/1.2.276.0.76.10.3167-2020-04-06T181144.sch"/>
   <!-- DermatologischeAllergieangabenSofortreaktionen -->
   <include href="include/1.2.276.0.76.10.3168-2020-05-19T201133.sch"/>
   <!-- EingebettetesObjektEntry -->
   <include href="include/1.2.276.0.76.10.4014-2014-08-25T000000.sch"/>
   <!-- AnnotationComment -->
   <include href="include/1.2.276.0.76.10.4015-2014-11-15T000000.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.10.4022-2014-11-01T000000.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.10.4022-2017-06-04T000000.sch"/>
   <!-- MedicationStatement -->
   <include href="include/1.2.276.0.76.10.4022-2018-11-01T000000.sch"/>
   <!-- MedicationStatementSplitDose -->
   <include href="include/1.2.276.0.76.10.4023-2014-11-01T000000.sch"/>
   <!-- MedicationStatementSplitDose -->
   <include href="include/1.2.276.0.76.10.4023-2017-06-04T000000.sch"/>
   <!-- Einzeldosierungen -->
   <include href="include/1.2.276.0.76.10.4023-2018-11-01T000000.sch"/>
   <!-- MedicationStatementDoseInstruction -->
   <include href="include/1.2.276.0.76.10.4024-2014-11-01T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/1.2.276.0.76.10.4025-2014-11-01T000000.sch"/>
   <!-- MedicationInformation -->
   <include href="include/1.2.276.0.76.10.4025-2017-06-04T000000.sch"/>
   <!-- PatientInstructions -->
   <include href="include/1.2.276.0.76.10.4026-2014-11-01T000000.sch"/>
   <!-- Reasonformedication -->
   <include href="include/1.2.276.0.76.10.4027-2014-11-01T000000.sch"/>
   <!-- Reasonformedication -->
   <include href="include/1.2.276.0.76.10.4027-2016-01-31T000000.sch"/>
   <!-- RelatedPrescription -->
   <include href="include/1.2.276.0.76.10.4028-2014-12-21T000000.sch"/>
   <!-- RelatedDispense -->
   <include href="include/1.2.276.0.76.10.4029-2014-12-21T000000.sch"/>
   <!-- Systolicbloodpressure -->
   <include href="include/1.2.276.0.76.10.4032-2014-09-16T000000.sch"/>
   <!-- ProblemConcernAct -->
   <include href="include/1.2.276.0.76.10.4074-2015-12-06T000000.sch"/>
   <!-- ProblemObservation -->
   <include href="include/1.2.276.0.76.10.4075-2015-12-06T000000.sch"/>
   <!-- PriorityPreference -->
   <include href="include/1.2.276.0.76.10.4076-2015-12-06T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/1.2.276.0.76.10.4077-2015-12-06T000000.sch"/>
   <!-- AgeObservation -->
   <include href="include/1.2.276.0.76.10.4077-2017-06-26T143128.sch"/>
   <!-- PrognosisObservation -->
   <include href="include/1.2.276.0.76.10.4078-2015-12-06T000000.sch"/>
   <!-- DiagnoseConcernAct -->
   <include href="include/1.2.276.0.76.10.4079-2015-12-06T000000.sch"/>
   <!-- DiagnoseObservation -->
   <include href="include/1.2.276.0.76.10.4080-2015-12-06T000000.sch"/>
   <!-- Indication -->
   <include href="include/1.2.276.0.76.10.4084-2017-02-01T000000.sch"/>
   <!-- PatientReferralAct -->
   <include href="include/1.2.276.0.76.10.4086-2017-02-01T000000.sch"/>
   <!-- ManifestationObservation -->
   <include href="include/1.2.276.0.76.10.4093-2017-04-09T000000.sch"/>
   <!-- EtiologyObservation -->
   <include href="include/1.2.276.0.76.10.4094-2017-04-09T000000.sch"/>
   <!-- Diastolicbloodpressure -->
   <include href="include/1.2.276.0.76.10.4172-2017-06-26T000000.sch"/>
   <!-- BlutdruckOrganizer -->
   <include href="include/1.2.276.0.76.10.4173-2017-05-29T000000.sch"/>
   <!-- Urinausfuhr -->
   <include href="include/1.2.276.0.76.10.4203-2017-05-15T000000.sch"/>
   <!-- ResultOrganizer -->
   <include href="include/1.2.276.0.76.10.4253-2017-03-02T000000.sch"/>
   <!-- LaboratoryResultObservation -->
   <include href="include/1.2.276.0.76.10.4254-2017-03-21T000000.sch"/>
   <!-- CoverageActivity -->
   <include href="include/1.2.276.0.76.10.4263-2016-02-25T190030.sch"/>
   <!-- PolicyActivity -->
   <include href="include/1.2.276.0.76.10.4264-2016-02-25T190754.sch"/>
   <!-- DMPObservation -->
   <include href="include/1.2.276.0.76.10.4271-2017-12-01T140113.sch"/>
   <!-- eGKGeschlechtObservation -->
   <include href="include/1.2.276.0.76.10.4272-2017-11-29T181727.sch"/>
   <!-- PersonGroupObservation -->
   <include href="include/1.2.276.0.76.10.4273-2017-11-29T144601.sch"/>
   <!-- KVZuordnungObservation -->
   <include href="include/1.2.276.0.76.10.4275-2018-02-27T123511.sch"/>
   <!-- weitereKennzeichenObservation -->
   <include href="include/1.2.276.0.76.10.4280-2018-03-08T173215.sch"/>
   <!-- EingebettetesFotoEntry -->
   <include href="include/1.2.276.0.76.10.4305-2020-03-24T164411.sch"/>
   <!-- LokalisationHautveraenderungObservation -->
   <include href="include/1.2.276.0.76.10.4306-2020-03-25T185610.sch"/>
   <!-- DermatologySuspicionMalignity -->
   <include href="include/1.2.276.0.76.10.4307-2020-03-25T201310.sch"/>
   <!-- BeschwerdedauerDermatologie -->
   <include href="include/1.2.276.0.76.10.4308-2020-03-30T230010.sch"/>
   <!-- DermatologyProblemProgress -->
   <include href="include/1.2.276.0.76.10.4309-2020-04-03T172259.sch"/>
   <!-- RisikofaktorBeruflicheTaetigkeit -->
   <include href="include/1.2.276.0.76.10.4310-2020-04-03T182608.sch"/>
   <!-- RisikofaktorAussentaetigkeit -->
   <include href="include/1.2.276.0.76.10.4311-2020-04-03T185053.sch"/>
   <!-- VorbehandlungDermatologie -->
   <include href="include/1.2.276.0.76.10.4312-2020-04-04T214401.sch"/>
   <!-- Diagnosekonfidenz -->
   <include href="include/1.2.276.0.76.10.4313-2020-04-05T212838.sch"/>
   <!-- Therapiedringlichkeit -->
   <include href="include/1.2.276.0.76.10.4314-2020-04-05T222238.sch"/>
   <!-- UeberweisungDermatologe -->
   <include href="include/1.2.276.0.76.10.4315-2020-04-06T105417.sch"/>
   <!-- KonsilFeedbackBildqualitaet -->
   <include href="include/1.2.276.0.76.10.4316-2020-04-06T154050.sch"/>
   <!-- KonsilFeedbackAnamnestischeAngaben -->
   <include href="include/1.2.276.0.76.10.4317-2020-04-06T154520.sch"/>
   <!-- KonsilFeedbackKonsiliarbericht -->
   <include href="include/1.2.276.0.76.10.4318-2020-04-06T154913.sch"/>
   <!-- ProblemObservationDermatology -->
   <include href="include/1.2.276.0.76.10.4319-2020-05-24T114415.sch"/>
   <!-- ProblemConcernActDermatology -->
   <include href="include/1.2.276.0.76.10.4320-2020-05-24T114709.sch"/>
   <!-- ProblemObservationDermatologyFamilyHistory -->
   <include href="include/1.2.276.0.76.10.4321-2020-05-24T232158.sch"/>
   <!-- ProblemConcernActDermatologyFamilyHistory -->
   <include href="include/1.2.276.0.76.10.4322-2020-05-24T232408.sch"/>
   <!-- ProblemObservationReasonMalignitySuspicion -->
   <include href="include/1.2.276.0.76.10.4323-2020-05-29T152731.sch"/>
   <!-- CDASection -->
   <include href="include/2.16.840.1.113883.10.12.201-2005-09-07T000000.sch"/>
   <!-- CDAAct -->
   <include href="include/2.16.840.1.113883.10.12.301-2005-09-07T000000.sch"/>
   <!-- CDAEncounter -->
   <include href="include/2.16.840.1.113883.10.12.302-2005-09-07T000000.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.10.12.303-2005-09-07T000000.sch"/>
   <!-- CDAObservationMedia -->
   <include href="include/2.16.840.1.113883.10.12.304-2005-09-07T000000.sch"/>
   <!-- CDAOrganizer -->
   <include href="include/2.16.840.1.113883.10.12.305-2005-09-07T000000.sch"/>
   <!-- CDAProcedure -->
   <include href="include/2.16.840.1.113883.10.12.306-2005-09-07T000000.sch"/>
   <!-- CDARegionOfInterest -->
   <include href="include/2.16.840.1.113883.10.12.307-2005-09-07T000000.sch"/>
   <!-- CDASubstanceAdministration -->
   <include href="include/2.16.840.1.113883.10.12.308-2005-09-07T000000.sch"/>
   <!-- CDASupply -->
   <include href="include/2.16.840.1.113883.10.12.309-2005-09-07T000000.sch"/>
   <!-- MedicationStatementKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.10-2018-08-02T114727.sch"/>
   <!-- DialysetherapieKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.14-2018-08-02T120109.sch"/>
   <!-- AntwortKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.15-2018-08-02T123632.sch"/>
   <!-- MedicationcurrentKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.17-2018-08-03T103711.sch"/>
   <!-- MedicationKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.18-2018-08-03T103903.sch"/>
   <!-- Konsilrueckfrage -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.24-2020-03-23T143334.sch"/>
   <!-- EingebettetesDermatologischesFotoObjektEntry -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.30-2020-03-23T175216.sch"/>
   <!-- ReasonForReferral_konsab -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.33-2020-03-24T193804.sch"/>
   <!-- HautveraenderungGroesse -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.37-2020-03-25T210240.sch"/>
   <!-- HautveraenderungForm -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.38-2020-03-25T212256.sch"/>
   <!-- HautveraenderungFarbe -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.39-2020-03-25T212929.sch"/>
   <!-- HautveraenderungAussehen -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.40-2020-03-25T213840.sch"/>
   <!-- BeschwerdeDermatologie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.44-2020-03-30T222130.sch"/>
   <!-- BeschwerdedauerVerlaufNarrativ -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.47-2020-04-03T163743.sch"/>
   <!-- VitalparameterOrganizerBlutdruck -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.5-2018-08-02T111728.sch"/>
   <!-- AllergieSofortreaktionenDermatologie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.52-2020-04-03T201631.sch"/>
   <!-- AllergieSpaetreaktionenDermatologie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.53-2020-04-03T202445.sch"/>
   <!-- KrebserkrankungenDermatologie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.55-2020-04-04T204833.sch"/>
   <!-- CDAObservation -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.56-2020-04-04T205318.sch"/>
   <!-- AtopieDermatologie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.57-2020-04-04T205359.sch"/>
   <!-- PsoriasisDermatalogie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.58-2020-04-04T205857.sch"/>
   <!-- FamilienerkrankungenDermatologie -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.59-2020-04-04T210323.sch"/>
   <!-- VitalparameterKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.6-2018-08-02T112133.sch"/>
   <!-- VorstellungBeimFacharztErforderlich -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.68-2020-04-05T225040.sch"/>
   <!-- MedicationStatement -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.7-2018-08-02T113337.sch"/>
   <!-- MedicationStatementKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.8-2018-08-02T114257.sch"/>
   <!-- KlinischerVolumenstatusKonsil -->
   <include href="include/2.16.840.1.113883.3.1937.777.26.10.9-2018-08-02T114724.sch"/>

</schema>
